summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'media-sound')
-rw-r--r--media-sound/lilypond/Manifest2
-rw-r--r--media-sound/lilypond/files/lilypond-2.22.1-fix-font-size.patch13
-rw-r--r--media-sound/lilypond/lilypond-2.22.0.ebuild2
-rw-r--r--media-sound/lilypond/lilypond-2.22.1.ebuild143
-rw-r--r--media-sound/lilypond/lilypond-2.23.0.ebuild2
-rw-r--r--media-sound/lilypond/lilypond-2.23.2.ebuild138
-rw-r--r--media-sound/lilypond/lilypond-9999.ebuild2
7 files changed, 299 insertions, 3 deletions
diff --git a/media-sound/lilypond/Manifest b/media-sound/lilypond/Manifest
index 2e1f1538edc..2a71a9ca0ff 100644
--- a/media-sound/lilypond/Manifest
+++ b/media-sound/lilypond/Manifest
@@ -1,2 +1,4 @@
DIST lilypond-2.22.0.tar.gz 18023031 BLAKE2B a7512629be43680c6e6bda1404c9b8e4a9bfb0b65ad565aede9dba983ae8e5fb350e8a53250cd01314b4d032d1bbe7b391bb3acd411dc6665868f4cd04f15011 SHA512 4dcc4da1bd1aa1d10ca802acbe29f2256587cd8e2643651b6d2e42cfce0b9572d0eb1139fbc59cec98ad6b86b86e7a6910becb6be7a4350ee0adfe366daa0a65
+DIST lilypond-2.22.1.tar.gz 18033161 BLAKE2B 41bd0159e8e851a3582c35285d301113e6a50c95c7b5adbe8ab1de3cc4e84a0580fe54e2166372b6640ab3d486b48d40edbcf4eacbf211d4fcb4e5d6defae2ff SHA512 dfe159928afd8592769fe9bf940b35e285465c2103707d855e82dba860e817a195c906fa9bda6fdfabce6f5adeaf49111891e14a822bf9cfb70a98312c6a9d1d
DIST lilypond-2.23.0.tar.gz 17047610 BLAKE2B 5d19a9936893a37db3ff6de269978d586012b7546fe5f3147e86966f1d521731dd2cf074c90de5b49feff6ee6f5057c90fe6485d7ae9126a8a5810b55d2dc5b2 SHA512 0138338e9e650f1d0d96504cd31d8b191307ae3fcec839162c80b8d233b27a9ff94f5b107aa2318278a874ed14e5e47747211ac4b44839d6749337f06dc12a6d
+DIST lilypond-2.23.2.tar.gz 17080861 BLAKE2B e27bde3625454dc070e4aeaa8c857c5e62b3e73fd197ba014805f657210942b3d1ef03d2d75594f63e7cc1838fbcbd40e2b42d14707b6b6eeec02cdd3f346754 SHA512 f5713394d7e79dad585e21690d8ac3c057eebe77113f1f307e8e1e117bccc26bdc5370a144505ebd887e653cee114cb9efcf75ec56b9d0320bbdf79e32498269
diff --git a/media-sound/lilypond/files/lilypond-2.22.1-fix-font-size.patch b/media-sound/lilypond/files/lilypond-2.22.1-fix-font-size.patch
new file mode 100644
index 00000000000..ab2bd8e59ae
--- /dev/null
+++ b/media-sound/lilypond/files/lilypond-2.22.1-fix-font-size.patch
@@ -0,0 +1,13 @@
+diff --git a/lily/pango-font.cc b/lily/pango-font.cc
+index 053ce17..48bddd3 100644
+--- a/lily/pango-font.cc
++++ b/lily/pango-font.cc
+@@ -382,7 +382,7 @@ Pango_font::pango_item_string_stencil (PangoGlyphItem const *glyph_item) const
+ tail = SCM_CDRLOC (*tail);
+ }
+
+- PangoFontDescription *descr = pango_font_describe (pa->font);
++ PangoFontDescription *descr = pango_context_get_font_description (context_);
+ Real size = pango_font_description_get_size (descr)
+ / (static_cast<Real> (PANGO_SCALE));
+ pango_font_description_free (descr);
diff --git a/media-sound/lilypond/lilypond-2.22.0.ebuild b/media-sound/lilypond/lilypond-2.22.0.ebuild
index 4b0263ccad9..60368b53079 100644
--- a/media-sound/lilypond/lilypond-2.22.0.ebuild
+++ b/media-sound/lilypond/lilypond-2.22.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{7..10} )
inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
diff --git a/media-sound/lilypond/lilypond-2.22.1.ebuild b/media-sound/lilypond/lilypond-2.22.1.ebuild
new file mode 100644
index 00000000000..cf3311c16dd
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.22.1.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/lilypond.git"
+else
+ MAIN_VER=$(ver_cut 1-2)
+ SRC_URI="http://lilypond.org/download/sources/v${MAIN_VER}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANG_USE="l10n_ca l10n_cs l10n_de l10n_en l10n_fr l10n_hu l10n_it l10n_ja l10n_nl l10n_pt l10n_zh"
+IUSE="debug doc emacs guile2 profile vim-syntax ${LANG_USE}"
+unset LANG_USE
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+ dev-texlive/texlive-metapost
+ sys-apps/texinfo
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+ doc? ( app-text/texi2html )
+"
+RDEPEND="app-text/ghostscript-gpl
+ dev-scheme/guile:12=[deprecated,regex]
+ media-fonts/tex-gyre
+ media-libs/fontconfig
+ media-libs/freetype:2
+ x11-libs/pango
+ emacs? ( >=app-editors/emacs-23.1:* )
+ guile2? ( >=dev-scheme/guile-2.2:12 )
+ !guile2? (
+ dev-scheme/guile:12=[deprecated,regex]
+ <dev-scheme/guile-2.0:12
+ )
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ app-text/t1utils
+ dev-lang/perl
+ dev-libs/kpathsea
+ media-gfx/fontforge[png,python]
+ sys-devel/gettext
+ doc? (
+ dev-texlive/texlive-langcyrillic
+ l10n_cs? ( dev-texlive/texlive-xetex )
+ l10n_ja? ( dev-texlive/texlive-langjapanese )
+ l10n_zh? ( dev-texlive/texlive-langchinese )
+ )
+"
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-fix-font-size.patch
+)
+
+DOCS=( DEDICATION HACKING README.md ROADMAP )
+
+src_prepare() {
+ default
+
+ if ! use vim-syntax ; then
+ sed -i 's/vim//' GNUmakefile.in || die
+ fi
+
+ # respect CFLAGS
+ sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+ # remove bundled texinfo file (fixes bug #448560)
+ rm tex/texinfo.tex || die
+
+ eautoreconf
+
+ xdg_environment_reset #586592
+}
+
+src_configure() {
+ # fix hardcoded `ar`
+ sed -i "s/AR=ar/AR=$(tc-getAR)/g" flower/GNUmakefile || die "Failed to fix ar command"
+
+ local myeconfargs=(
+ --with-texgyre-dir=/usr/share/fonts/tex-gyre
+ --disable-optimising
+ --disable-pipe
+ $(use_enable debug debugging)
+ $(use_enable doc documentation)
+ $(use_enable profile profiling)
+ )
+
+ export VARTEXFONTS="${T}/fonts" # https://bugs.gentoo.org/692010
+
+ econf "${myeconfargs[@]}" AR="$(tc-getAR)"
+}
+
+src_compile() {
+ default
+
+ use doc && emake LANGS="${L10N}" doc info
+
+ if use emacs ; then
+ elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+ || die "elisp-compile failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+ use doc && emake DESTDIR="${D}" install-doc
+
+ # remove elisp files since they are in the wrong directory
+ rm -r "${ED}"/usr/share/emacs || die
+
+ if use emacs ; then
+ elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+ || die "elisp-install failed"
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+
+ python_fix_shebang "${ED}"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/media-sound/lilypond/lilypond-2.23.0.ebuild b/media-sound/lilypond/lilypond-2.23.0.ebuild
index de2a548eb65..c82db90488d 100644
--- a/media-sound/lilypond/lilypond-2.23.0.ebuild
+++ b/media-sound/lilypond/lilypond-2.23.0.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{7..10} )
inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
diff --git a/media-sound/lilypond/lilypond-2.23.2.ebuild b/media-sound/lilypond/lilypond-2.23.2.ebuild
new file mode 100644
index 00000000000..fea5dc370d4
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.23.2.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils
+
+if [[ "${PV}" = "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://git.savannah.gnu.org/git/lilypond.git"
+else
+ MAIN_VER=$(ver_cut 1-2)
+ SRC_URI="http://lilypond.org/download/sources/v${MAIN_VER}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANG_USE="l10n_ca l10n_cs l10n_de l10n_en l10n_fr l10n_hu l10n_it l10n_ja l10n_nl l10n_pt l10n_zh"
+IUSE="debug doc emacs profile vim-syntax ${LANG_USE}"
+unset LANG_USE
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="
+ dev-texlive/texlive-metapost
+ sys-apps/texinfo
+ sys-devel/bison
+ sys-devel/flex
+ virtual/pkgconfig
+ doc? ( app-text/texi2html )
+"
+RDEPEND="app-text/ghostscript-gpl
+ dev-scheme/guile:12=[deprecated,regex]
+ media-fonts/tex-gyre
+ media-libs/fontconfig
+ media-libs/freetype:2
+ x11-libs/pango
+ emacs? ( >=app-editors/emacs-23.1:* )
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ app-text/t1utils
+ dev-lang/perl
+ dev-libs/kpathsea
+ media-gfx/fontforge[png,python]
+ sys-devel/gettext
+ doc? (
+ dev-texlive/texlive-langcyrillic
+ l10n_cs? ( dev-texlive/texlive-xetex )
+ l10n_ja? ( dev-texlive/texlive-langjapanese )
+ l10n_zh? ( dev-texlive/texlive-langchinese )
+ )
+"
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.23.0-fix-font-size.patch
+)
+
+DOCS=( DEDICATION HACKING README.md ROADMAP )
+
+src_prepare() {
+ default
+
+ if ! use vim-syntax ; then
+ sed -i 's/vim//' GNUmakefile.in || die
+ fi
+
+ # respect CFLAGS
+ sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+ # remove bundled texinfo file (fixes bug #448560)
+ rm tex/texinfo.tex || die
+
+ eautoreconf
+
+ xdg_environment_reset #586592
+}
+
+src_configure() {
+ # fix hardcoded `ar`
+ sed -i "s/AR=ar/AR=$(tc-getAR)/g" flower/GNUmakefile || die "Failed to fix ar command"
+
+ local myeconfargs=(
+ --with-texgyre-dir=/usr/share/fonts/tex-gyre
+ --disable-optimising
+ --disable-pipe
+ $(use_enable debug debugging)
+ $(use_enable doc documentation)
+ $(use_enable profile profiling)
+ )
+
+ export VARTEXFONTS="${T}/fonts" # https://bugs.gentoo.org/692010
+
+ econf "${myeconfargs[@]}" AR="$(tc-getAR)"
+}
+
+src_compile() {
+ default
+
+ use doc && emake LANGS="${L10N}" doc info
+
+ if use emacs ; then
+ elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+ || die "elisp-compile failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+ use doc && emake DESTDIR="${D}" install-doc
+
+ # remove elisp files since they are in the wrong directory
+ rm -r "${ED}"/usr/share/emacs || die
+
+ if use emacs ; then
+ elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+ || die "elisp-install failed"
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+
+ python_fix_shebang "${ED}"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/media-sound/lilypond/lilypond-9999.ebuild b/media-sound/lilypond/lilypond-9999.ebuild
index 24d67598c44..fea5dc370d4 100644
--- a/media-sound/lilypond/lilypond-9999.ebuild
+++ b/media-sound/lilypond/lilypond-9999.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9} )
+PYTHON_COMPAT=( python3_{7..10} )
inherit elisp-common autotools python-single-r1 toolchain-funcs xdg-utils